| highlighting-kate-0.2.6.2: Syntax highlighting | Source code | Contents | Index

Text.Highlighting.Kate.Syntax

Synopsis

highlightAs :: String -> String -> Either String [SourceLine]
languages :: [String]
languagesByExtension :: String -> [String]

Documentation

highlightAs | Source

:: String | Language syntax
-> String | Source code to highlight
-> Either String [SourceLine] | Either error message or result
True if extension belongs to language. Highlight source code using a specified syntax definition.

languages :: [String] | Source

List of supported languages.

languagesByExtension :: String -> [String] | Source

Returns a list of languages appropriate for the given file extension.
Produced by Haddock version 2.4.2